/*****
 NAME
 	dcmdxml.h - tag name definition for XML 
 VERSION
 	$Id$
 CHANGELOG
 	$Log$
 NOTE
 	1) This file is designed to be included two or more times in a file
	2) You have to include "dconst.h" before including this one.
	3) if you edit this file, edit the following files:
	     dxml.h, dcmdxml.h, dgtkxml.h
 */

#if !defined(TAG_NAME)
#  define TAG_NAME(IDENT, VALUE)
#endif
#if !defined(ATTR_NAME)
#  define ATTR_NAME(IDENT, VALUE)
#endif
#if !defined(ATTR_VALUE)
#  define ATTR_VALUE(IDENT, VALUE)
#endif

/************************************************************************
 * COMMON TAG DEFINITION
 ************************************************************************/
#include <coconut/dxml.h>

/************************************************************************
 * SCRIPT TAG DEFINITION
 ************************************************************************/
 /* tags for command */
TAG_NAME(env_element,		ENV_STR)
TAG_NAME(exit_element,		EXIT_STR)
TAG_NAME(newline_char_element,	"r")
TAG_NAME(print_element,		PRINT_STR)
TAG_NAME(tab_char_element,	"t")

 /* attribute name */
ATTR_NAME(value_attr,		VALUE_STR)
ATTR_NAME(format_attr,		FORMAT_STR)

#undef	TAG_NAME
#undef	ATTR_NAME
#undef	ATTR_VALUE

